Subject: Re: [PATCH] arm64: dts: meson-g12b-khadas-vim3: fix missing frddr_a node

From: Kevin Hilman <[email-masked]>
Date: Wed, 29 Apr 2020 11:46:35 -0700

Christian Hewitt <[email-masked]> writes:

>> On 15 Apr 2020, at 1:59 pm, chewitt <[email-masked]> wrote:
>> 
>> From: Christian Hewitt <[email-masked]>
>> 
>> The frddr_a node was accidently deleted when creating a common dtsi for the
>> Khadas VIM3/VIM3L boards, preventing audio from working on the VIM3.
>> 
>> Fixes: 4f26cc1c96c9 ("arm64: dts: khadas-vim3: move common nodes into meson-khadas-vim3.dtsi")
>> Signed-off-by: Christian Hewitt <[email-masked]>
>> ---
>> arch/arm64/boot/dts/amlogic/meson-g12b-khadas-vim3.dtsi | 4 ++++
>> 1 file changed, 4 insertions(+)
>> 
>> diff --git a/arch/arm64/boot/dts/amlogic/meson-g12b-khadas-vim3.dtsi b/arch/arm64/boot/dts/amlogic/meson-g12b-khadas-vim3.dtsi
>> index c33e85fbdaba..c6c8caed8327 100644
>> --- a/arch/arm64/boot/dts/amlogic/meson-g12b-khadas-vim3.dtsi
>> +++ b/arch/arm64/boot/dts/amlogic/meson-g12b-khadas-vim3.dtsi
>> @@ -154,6 +154,10 @@
>> 	clock-latency = <50000>;
>> };
>> 
>> +&frddr_a {
>> +	status = "okay";
>> +};
>> +
>> &frddr_b {
>> 	status = "okay";
>> };
>> -- 
>> 2.17.1
>
> NB: I appears the same change was sent by Neil in [1] as a fix to 5.4, but
> this appears to have been dropped/missed somewhere.
>
> [1] https://patchwork.kernel.org/patch/11198535/

Hmm, not sure how I dropped that one.  I applied (again) the original
from Neil (with updated tags from Jerome) and queued as fix for v5.7-rc.

Sorry,

Kevin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel